summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-03-19 10:07:50 +0100
committerJoonas Niilola <juippis@gentoo.org>2021-03-21 15:35:37 +0200
commitf6d4244cc475e8887ffded807a245a9ffb432b9c (patch)
treef6789dd3615c946c79e5047edc1997b769b60711 /dev-python/pyspelling
parentdev-python/textdistance: cleanup old (diff)
downloadgentoo-f6d4244cc475e8887ffded807a245a9ffb432b9c.tar.gz
gentoo-f6d4244cc475e8887ffded807a245a9ffb432b9c.tar.bz2
gentoo-f6d4244cc475e8887ffded807a245a9ffb432b9c.zip
dev-python/pyspelling: version bump 2.7.2, add py3.9
Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-python/pyspelling')
-rw-r--r--dev-python/pyspelling/Manifest1
-rw-r--r--dev-python/pyspelling/pyspelling-2.7.2.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/pyspelling/Manifest b/dev-python/pyspelling/Manifest
index bef7a333b22..b007473e024 100644
--- a/dev-python/pyspelling/Manifest
+++ b/dev-python/pyspelling/Manifest
@@ -1,2 +1,3 @@
DIST pyspelling-2.7.0.tar.gz 149425 BLAKE2B f8e600a41ebd4ec290562307306e7fd5c67d384b9186de037b98d50d58016ded19c426caa892497ca44e309fb3db04292b890612afbe25a34f9f6b06985d3740 SHA512 2fcd225a66cb02fff10d5ca652e523a01bd0488a005dafa32ba1151fba9afe73809781501c957d6df00927baa9fb6779872973b32e2d3fe8a09306fdc4191995
DIST pyspelling-2.7.1.tar.gz 149449 BLAKE2B a5faefac163850d327d64b75776b5f360ad1e1337cb3784c8d0a167e1240e92a202f4ecbe86d768341a7512b36c83981b5fbf4058a2142a5b627f40c0e60c09f SHA512 be0cc9be343e2d5d2c16b2dc9cb6f83fd5f60eba81c709711fef37b880363db8b76e86ec048b57ab270be59803b101696709bd474d4f0267c99f55c906ec7857
+DIST pyspelling-2.7.2.tar.gz 150911 BLAKE2B 813eca2c4bdf377fd7babec376dd2991713db59c66b509c656cb24a314776c2cc360ec9ff884baec6607f27cae3169672746580d3c58abad35dbfe9f605fc51e SHA512 2937c1985ec6f27713275d9f31d3529e35f219df211be0ac9f1ae89d5c92a1e52c51b982291be7bd25375eb6404f52ac0ad893afbe73aada1fb03923dc09f721
diff --git a/dev-python/pyspelling/pyspelling-2.7.2.ebuild b/dev-python/pyspelling/pyspelling-2.7.2.ebuild
new file mode 100644
index 00000000000..3d26b00785e
--- /dev/null
+++ b/dev-python/pyspelling/pyspelling-2.7.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ ~dev-python/mkdocs_pymdownx_material_extras-1.1.3
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Spell checker automation tool"
+HOMEPAGE="https://github.com/facelessuser/pyspelling"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ || ( app-text/aspell app-text/hunspell )
+
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/soupsieve-1.8[${PYTHON_USEDEP}]
+ >=dev-python/wcmatch-6.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? ( dev-vcs/git )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}